Support » Plugin: NextGEN Custom Fields » wpdb::escape is deprecated notifications

Viewing 2 replies - 1 through 2 (of 2 total)
  • Same problem: for each gallery i get this error:

    Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 18 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 21 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 22 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 23 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 24 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406 Notice: Undefined offset: 26 in /www/MW_qXRayRXXG/i-cementi.it/wp-content/plugins/nextgen-gallery-custom-fields/ngg-custom-fields.php on line 300 Notice: wpdb::escape è deprecata dalla versione 3.6! Utilizzare al suo posto wpdb::prepare() or esc_sql(). in /www/MW_qXRayRXXG/i-cementi.it/wp-includes/functions.php on line 3406

    I manually did a search/replace in the file ngg-custom-fields.php for esc_sql and replaced each with $wpdb->escape

    So far the plugin is working with these changes and I’m not getting the error. Hopefully the developer will update the plugin.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘wpdb::escape is deprecated notifications’ is closed to new replies.